[**@rxap/data-source v19.1.1-dev.0**](../README.md)

***

[@rxap/data-source](../globals.md) / staticDataSource

# Function: staticDataSource()

> **staticDataSource**\<`Data`\>(`data`, `metadata`): [`StaticDataSource`](../classes/StaticDataSource.md)\<`Data`\>

Defined in: [packages/angular/data-source/src/lib/static.data-source.ts:122](https://gitlab.com/rxap/packages/-/blob/578764e2054aada088559336f4c2cf49e388b60e/packages/angular/data-source/src/lib/static.data-source.ts#L122)

## Type Parameters

• **Data**

## Parameters

### data

[`StaticDataSourceData`](../type-aliases/StaticDataSourceData.md)\<`Data`\>

### metadata

[`StaticDataSourceMetadata`](../interfaces/StaticDataSourceMetadata.md)\<`Data`\> = `...`

## Returns

[`StaticDataSource`](../classes/StaticDataSource.md)\<`Data`\>
